Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
sip_hash Struct Reference

`#include <siphash.h>`

## Data Fields
sip_state | state [1]
const sip_interface * | methods

## Detailed Description

Definition at line 31 of file siphash.h.

## Field Documentation

const sip_interface* sip_hash::methods

Definition at line 33 of file siphash.h.

Referenced by sip_hash_final(), sip_hash_final_integer(), sip_hash_init(), and sip_hash_update().

sip_state sip_hash::state[1]

Definition at line 32 of file siphash.h.

Referenced by sip_hash_dump(), sip_hash_final(), sip_hash_final_integer(), sip_hash_init(), and sip_hash_update().

The documentation for this struct was generated from the following file:

- siphash.h